package com.bonus.canteen.core.order.constants;

public enum OrderDetailStateEnum {
   NORMAL(1, "正常"),
   REFUNDED(2, "已退菜"),
   PART_REFUND(3, "部分退菜");

   private final Integer key;
   private final String desc;

   private OrderDetailStateEnum(Integer key, String desc) {
      this.key = key;
      this.desc = desc;
   }

   public Integer getKey() {
      return this.key;
   }

   public String getDesc() {
      return this.desc;
   }

}
